#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	taglib
Version		:	1.13.1
Release		:	14.8.0.0%{?dist}
Summary		:	Audio Meta-Data Library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://taglib.github.io/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	cppunit
BuildRequires	:	zlib-devel
BuildRequires	:	doxygen
BuildRequires	:	graphviz

#-----------------------------------------------------------------------------
%description
TagLib is a library for reading and editing the
meta-data of several popular audio formats.
Currently it supports both ID3v1 and ID3v2 for
MP3 files, Ogg Vorbis comments and ID3 tags and
Vorbis comments in FLAC, MPC, Speex, WavPack,
TrueAudio, WAV, AIFF, MP4 and ASF files.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS
%license COPYING.LGPL COPYING.MPL
%{_libdir}/libtag.so.1*
%{_libdir}/libtag_c.so.0*

#=============================================================================
%package		devel
Summary		:	Development files for %{name} 

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	%{name}-doc	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Files needed when building software with %{name}.
 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc examples
%{_bindir}/%{name}-config
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*.tcc
%{_libdir}/libtag.so
%{_libdir}/libtag_c.so
%{_libdir}/pkgconfig/taglib.pc
%{_libdir}/pkgconfig/taglib_c.pc

#=============================================================================
%package		doc
Summary		:	API Documentation for %{name}

#-----------------------------------------------------------------------------

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This is API documentation generated from the TagLib source code.
 

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}/*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_CXX_FLAGS="$CXXFLAGS -DNDEBUG"		\
	-D BUILD_SHARED_LIBS=ON 			\
	-G Ninja					\
	-S .						\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja								\
	-C _bld							\
	%{_smp_mflags}

cmake								\
	--build 						\
	_bld							\
	--target docs						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
		--install					\
		_bld
%{__mkdir_p}							\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

cp -a _bld/doc/html/						\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}
ln -s								\
	html/index.html						\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

find 
	%{buildroot}%{_defaultdocdir}/%{name}-%{version} 	\
	-name '*.md5' | xargs rm -fv

#-----------------------------------------------------------------------------
%changelog
